// components/scan..js
import { connectStateMap, connectStateTypes } from '../../data/devType.js'
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        bleDevs: {
            type: Array,
            value: []
        }
    },
    
    /**
     * 组件的初始数据
     */
    data: {
    },
    
    /**
     * 组件的方法列表
     */
    methods: {
        connectDev(e){
            let devId = e.currentTarget.dataset.dev;
            console.log("connectDev", devId)
            let dev = this.data.bleDevs.find(dev=>devId===dev.deviceId);
            if(!dev){
                return wx.showToast({
                    title: '数据库异常,无法找寻设备',
                })
            }
            // 触发父组件的事件
            this.triggerEvent('connectDev', dev);
        }
    }
})